Page MenuHomePhabricator

[Regression] mediawiki.notification not visible if initialised while scrolled down
Closed, ResolvedPublic

Description

The first time mw.notify is used on a page, it considers its top offset (and thus when to become fixed) to be whatever the page's current scrollTop is. This results in it not being visible if first used while not being at the top of the page, until you either scroll to the top of the page, or scroll further than you originally were. This remains true for all notifications for the rest of the page's lifetime.

This is caused by the fix for T54659, which hid the notification area before getting its offset. This can be fixed by hiding the notification area after getting its offset.

Event Timeline

Majr created this task.Oct 4 2015, 1:24 PM
Majr raised the priority of this task from to Needs Triage.
Majr updated the task description. (Show Details)
Majr added a project: JavaScript.
Majr added subscribers: Majr, Catrope, matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2015, 1:24 PM
Krenair set Security to None.

Change 243605 had a related patch set uploaded (by Majr):
Fix mw.notify not being visible if first loaded when scrolled down

https://gerrit.wikimedia.org/r/243605

matmarex closed this task as Resolved.Oct 15 2015, 7:56 PM
matmarex assigned this task to Majr.
matmarex edited projects, added Regression; removed Patch-For-Review.

Change 243605 merged by jenkins-bot:
Fix mw.notify not being visible if first loaded when scrolled down

https://gerrit.wikimedia.org/r/243605

Change 246820 had a related patch set uploaded (by Majr):
Fix mw.notify not being visible if first loaded when scrolled down

https://gerrit.wikimedia.org/r/246820

Change 246821 had a related patch set uploaded (by Majr):
Fix mw.notify not being visible if first loaded when scrolled down

https://gerrit.wikimedia.org/r/246821

Majr added a comment.Oct 16 2015, 1:00 PM

Backporting because not being able to use mw.notify to reliably notify users until 1.27 isn't great.

Change 246820 merged by jenkins-bot:
Fix mw.notify not being visible if first loaded when scrolled down

https://gerrit.wikimedia.org/r/246820

Change 246821 merged by jenkins-bot:
Fix mw.notify not being visible if first loaded when scrolled down

https://gerrit.wikimedia.org/r/246821